Subject: Re: [bitcoin-dev] Making AsicBoost irrelevant

From: Matt Corallo <[email-masked]>
Date: Wed, 11 May 2016 21:01:57 +0000

Indeed, I think the "ASICs are bad, because 1-CPU-1-vote" arguments
mostly died out long ago, and, indeed, the goal that many making those
arguments had of building "unoptimizeable" ASICs failed with them.

I think everyone understands that there will always be some ability to
iterate on ASIC designs, however, a patented optimization breaks that
assumption. Instead of being freely able to optimize their ASIC design,
patented optimizations require that people who discover such
optimizations themselves do not use them, giving one
manufacturer/licenser a huge influence in who is successful in a market
that we're all relying on remaining rather flat. Indeed, with AsicBoost,
we saw Spondoolies independently discover the same optimization, but
with the current legal system they would not have been able to sell such
systems without licensing AsicBoost.

Matt

On 05/11/16 13:08, Marek Palatinus via bitcoin-dev wrote:
> Ehm, I though those discussions about "ASICs are bad, because X" ended
> years ago by starting "ASIC unfriendly" altcoins. ASIC industry is
> twisted even without AsicBoost. I don't see any particular reason why to
> change rules just because of 10% edge.
> 
> This is opening Pandora box and it is potentially extremely dangerous
> for the health of the network. You cannot know in advance what you'll
> break by changing the rules.
> 
> Disclaimer: I don't have any stake in any ASIC company/facility.
> 
> slush
> 
> On Wed, May 11, 2016 at 2:20 PM, Sergio Demian Lerner via bitcoin-dev
> <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
> 
> 
>     On Tue, May 10, 2016 at 6:43 PM, Sergio Demian Lerner
>     <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
>         You can find it here:
>         https://bitslog.wordpress.com/2014/03/18/the-re-design-of-the-bitcoin-block-header/
> 
>         Basically, the idea is to put in the first 64 bytes a 4 byte
>         hash of the second 64-byte chunk. That design also allows
>         increased nonce space in the first 64 bytes.
> 
>     My mistake here. I didn't recalled correctly my own idea. The idea
>     is to include in the second 64-byte chunk a 4-byte hash of the first
>     chunk, not the opposite.
> 
> 
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> 
> 
> 
> 
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>